summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-07 06:38:56 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-08-07 06:38:56 +0000
commit61c526706b8dbd68ef9fce0123b8aa91764e4f61 (patch)
treeadf5a22d4fe2ae1081c1ebf76e17c896d60eef2b /dev-python
parentccbad8b92970490d0174b0d3fd596f1fc4b0dfef (diff)
downloadbaldeagleos-repo-61c526706b8dbd68ef9fce0123b8aa91764e4f61.tar.gz
baldeagleos-repo-61c526706b8dbd68ef9fce0123b8aa91764e4f61.tar.xz
baldeagleos-repo-61c526706b8dbd68ef9fce0123b8aa91764e4f61.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/cmd2/Manifest1
-rw-r--r--dev-python/cmd2/cmd2-1.3.1.ebuild48
-rw-r--r--dev-python/ipyparallel/Manifest1
-rw-r--r--dev-python/ipyparallel/files/ipyparallel-6.2.3-disable-broken-test.patch28
-rw-r--r--dev-python/ipyparallel/ipyparallel-6.2.3.ebuild76
-rw-r--r--dev-python/libcloud/Manifest1
-rw-r--r--dev-python/libcloud/libcloud-3.0.0.ebuild5
-rw-r--r--dev-python/libcloud/libcloud-3.1.0.ebuild49
-rw-r--r--dev-python/lockfile/lockfile-0.12.2-r2.ebuild26
-rw-r--r--dev-python/requests-mock/requests-mock-1.8.0.ebuild1
-rw-r--r--dev-python/tox/Manifest1
-rw-r--r--dev-python/tox/metadata.xml1
-rw-r--r--dev-python/tox/tox-3.19.0.ebuild70
-rw-r--r--dev-python/xlsxwriter/Manifest1
-rw-r--r--dev-python/xlsxwriter/xlsxwriter-1.3.2.ebuild22
15 files changed, 201 insertions, 130 deletions
diff --git a/dev-python/cmd2/Manifest b/dev-python/cmd2/Manifest
index 7c5fa9ed5f96..5dc26da49752 100644
--- a/dev-python/cmd2/Manifest
+++ b/dev-python/cmd2/Manifest
@@ -2,3 +2,4 @@ DIST cmd2-1.1.0.tar.gz 605311 BLAKE2B 0816c3975b45c4845f234a746037319213af8860ea
DIST cmd2-1.2.0.tar.gz 613769 BLAKE2B dbdabdd52ef26fa6fd91d4255dab1b77b0363fbfba85c4f42b3d125ab3663ef301bf267ace4617c3a391765b78778d231691cb87fb43d6d47c78d02a4a11cbc8 SHA512 2df3342a4b74a29948bba0dc11c44e37be9f2ebd78051efd4d77dd03bd3460d11857c8edc3c57baacb4b1abbc41b3504d475e0395563818032dc6946fcda6538
DIST cmd2-1.2.1.tar.gz 623518 BLAKE2B 69aebdb6350c453001b6101988d9b0d3d96ca7970c54cd59d3aad6e01b3e7133d62b57cb44588cec786ea21818d8c5983e5bc64510e8c6f07627505f14c28651 SHA512 5f7259111ed8f5719c230c33f6131c8464f5500ba14869d26e9f52850ea619c2b97ed950774930d9e19621e98c64b50c67eaff34277cd81463b60f8dcf6f04a3
DIST cmd2-1.3.0.tar.gz 642189 BLAKE2B 5052f0d0f3e42329efb43f4552ef24407812705f90e937bb0ef3c19c7b30b2648171a05346dcaf91df873e61e522161ac1db94ed0898114e81079d08478d45d7 SHA512 e9d935435d83b0e6ab946c0abff6d44116a2efcd3ac9eb9997f2f7b765f164ae3e379eca79da781f0689b7944c7ed967e09bd94010f370974a83fb8baab4142f
+DIST cmd2-1.3.1.tar.gz 645161 BLAKE2B 97d89729fdbcb5a367a6a9bdd0edaf9e5295b21cb6ab8efe6e473c57de1df11ef1c7679f14d5a9e3dd7d494af9bbb8a7300db01c4c4d049ab3593ee8b9897ba3 SHA512 84b2c4a1d509e751ba4d88d454143d0c41092ee7101ef916123ef7081ace961eba34c0c9c8be8186aa5200a3ec28d09782380ed609bf21c3e86df1e447020248
diff --git a/dev-python/cmd2/cmd2-1.3.1.ebuild b/dev-python/cmd2/cmd2-1.3.1.ebuild
new file mode 100644
index 000000000000..557a79fa9c87
--- /dev/null
+++ b/dev-python/cmd2/cmd2-1.3.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Extra features for standard library's cmd module"
+HOMEPAGE="https://github.com/python-cmd2/cmd2"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.3.7[${PYTHON_USEDEP}]
+ >=dev-python/pyperclip-1.6[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-1.6.0[${PYTHON_USEDEP}]
+ ' python3_{6,7})
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest-mock[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e 's:test_which_editor_good:_&:' tests/test_cmd2.py || die
+ distutils-r1_src_prepare
+}
+
+src_test() {
+ # tests rely on very specific text wrapping...
+ local -x COLUMNS=80
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/ipyparallel/Manifest b/dev-python/ipyparallel/Manifest
index abcf93dbc6fc..bdce308ec709 100644
--- a/dev-python/ipyparallel/Manifest
+++ b/dev-python/ipyparallel/Manifest
@@ -1,2 +1 @@
-DIST ipyparallel-6.2.3.tar.gz 2371030 BLAKE2B 73f96bbed280def33ae243e592ecf2e298afe92287cf3a7edb966859c38c6dcb1f1a43082ab83907aa00e06d571f4b750df28e6885a1c2d1fd1489fd4472a7fc SHA512 ddf479a7776c2ca9fd37aa5b7dd402c136ce62a479333f5f56dce413649f9b928daed56c173ad5325268eaa58667d611257b20c8269899cc06ae2829f973b4c1
DIST ipyparallel-6.3.0.tar.gz 2380153 BLAKE2B b8312102e1d2b5fc963491ebe8530e2fd73e9f941f7912fbc72a8db51e7255f5cac95a853d15a57e384926ab1aff27f2a3ad13cc45130a8b612be5dc623538ab SHA512 fe621854b9cc3e5f88aeca2b06b63bb689dd2feee0da451a0a90800d8832f4b44b23bb9a15033029cc33179276f31e982a10fc7540e6d13b04f15d96c348a295
diff --git a/dev-python/ipyparallel/files/ipyparallel-6.2.3-disable-broken-test.patch b/dev-python/ipyparallel/files/ipyparallel-6.2.3-disable-broken-test.patch
deleted file mode 100644
index b578cd7f73e1..000000000000
--- a/dev-python/ipyparallel/files/ipyparallel-6.2.3-disable-broken-test.patch
+++ /dev/null
@@ -1,28 +0,0 @@
-diff --git a/ipyparallel/tests/test_util.py b/ipyparallel/tests/test_util.py
-index 06fde46..e685a88 100644
---- a/ipyparallel/tests/test_util.py
-+++ b/ipyparallel/tests/test_util.py
-@@ -3,7 +3,8 @@ from ipyparallel import util
- from jupyter_client.localinterfaces import localhost, public_ips
-
-
--def test_disambiguate_ip():
-+# This test is broken in gentoo's testing environment
-+def xtest_disambiguate_ip():
- # garbage in, garbage out
- public_ip = public_ips()[0]
- assert util.disambiguate_ip_address('garbage') == 'garbage'
-diff --git a/ipyparallel/tests/test_view.py b/ipyparallel/tests/test_view.py
-index 45cb669..dd335b1 100644
---- a/ipyparallel/tests/test_view.py
-+++ b/ipyparallel/tests/test_view.py
-@@ -823,7 +823,8 @@ class TestView(ClusterTestCase):
- assert view.apply_sync(find_ipython)
-
- @skip_without('cloudpickle')
-- def test_use_cloudpickle(self):
-+ # Broken on Gentoo
-+ def xtest_use_cloudpickle(self):
- view = self.client[:]
- view['_a'] = 'engine'
- sys.modules['__main__']._a = 'client'
diff --git a/dev-python/ipyparallel/ipyparallel-6.2.3.ebuild b/dev-python/ipyparallel/ipyparallel-6.2.3.ebuild
deleted file mode 100644
index 15d01dafcc6d..000000000000
--- a/dev-python/ipyparallel/ipyparallel-6.2.3.ebuild
+++ /dev/null
@@ -1,76 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{5,6,7,8,9} )
-PYTHON_REQ_USE="threads(+)"
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1 eutils
-
-DESCRIPTION="Interactive Parallel Computing with IPython"
-HOMEPAGE="https://ipyparallel.readthedocs.io/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86 ~amd64-linux ~x86-linux"
-IUSE="doc test"
-RESTRICT="!test? ( test )"
-
-# About tests and tornado
-# Upstreams claims to work fine with tornado 5, and it's indeed possible to
-# launch a cluster with tornado 5 installed, but tests definitely don't run with
-# tornado 5 installed. Upstreams CI runs with tornado 4. This is why we limit
-# ourselves to <tornado-5 when running tests.
-
-RDEPEND="
- dev-python/decorator[${PYTHON_USEDEP}]
- dev-python/ipykernel[${PYTHON_USEDEP}]
- dev-python/ipython[${PYTHON_USEDEP}]
- dev-python/ipython_genutils[${PYTHON_USEDEP}]
- dev-python/jupyter_client[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- >=dev-python/pyzmq-14.4.0[${PYTHON_USEDEP}]
- www-servers/tornado[${PYTHON_USEDEP}]
- "
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]
- doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
- test? (
- dev-python/ipython[test]
- dev-python/mock[${PYTHON_USEDEP}]
- dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/testpath[${PYTHON_USEDEP}]
- <www-servers/tornado-5
- )
- "
-
-PATCHES=(
- "${FILESDIR}/${PN}-6.2.3-disable-broken-test.patch"
-)
-
-python_prepare_all() {
- # Prevent un-needed download during build
- if use doc; then
- sed -e "/^ 'sphinx.ext.intersphinx',/d" -i docs/source/conf.py || die
- fi
-
- distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
- if use doc; then
- emake -C docs html
- HTML_DOCS=( docs/build/html/. )
- fi
-}
-
-python_test() {
- pytest -vs ipyparallel/tests || die
-}
-
-pkg_postinst() {
- optfeature "Jupyter Notebook integration" dev-python/notebook
-}
diff --git a/dev-python/libcloud/Manifest b/dev-python/libcloud/Manifest
index 496f882f8bb7..5e2c9f6c0baa 100644
--- a/dev-python/libcloud/Manifest
+++ b/dev-python/libcloud/Manifest
@@ -1 +1,2 @@
DIST apache-libcloud-3.0.0.tar.bz2 1609684 BLAKE2B cac9f42a2e73c8903d9b29c8e39d0d16d56138adbe2bdf60abb52c02fbd41f8fbe063238a09ce27b2b921eb082a82881f31211dbcb864e183c3f582fdb75858a SHA512 17569ce820fc5bc792a23636c8d2cc2067059425217b9b0dd90fcba40a5f347dca66531201c458b12d61caf3854355b6a7dca7efc17b05fbab364c8d2bdc2405
+DIST apache-libcloud-3.1.0.tar.bz2 1613381 BLAKE2B afc607a76ff3cd24961cfaf916b5813cd59e84d523f9a642bb8222d889abb44d6357d230b001ae03a0b021160384d6c6d8420e85825aa8d84f7619e900c4c9b0 SHA512 ef2fc4754281adc336d656d3a707710feae0f6c22f33156830dd0b299d06fbf9b890817f68192106320944f851265c39f175b5fae5f85053706ec2f0ccd04bf1
diff --git a/dev-python/libcloud/libcloud-3.0.0.ebuild b/dev-python/libcloud/libcloud-3.0.0.ebuild
index 9f2151611935..f3273b05af92 100644
--- a/dev-python/libcloud/libcloud-3.0.0.ebuild
+++ b/dev-python/libcloud/libcloud-3.0.0.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://apache/${PN}/apache-${P}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 x86"
-IUSE="examples test"
+IUSE="examples"
RDEPEND="
>=dev-python/requests-2.5.0[${PYTHON_USEDEP}]
@@ -23,9 +23,10 @@ RDEPEND="
"
BDEPEND="${RDEPEND}
test? (
+ >=dev-python/cryptography-2.6.1[${PYTHON_USEDEP}]
dev-python/lockfile[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
dev-python/requests-mock[${PYTHON_USEDEP}]
- >=dev-python/cryptography-2.6.1[${PYTHON_USEDEP}]
)"
S="${WORKDIR}/apache-${P}"
diff --git a/dev-python/libcloud/libcloud-3.1.0.ebuild b/dev-python/libcloud/libcloud-3.1.0.ebuild
new file mode 100644
index 000000000000..8e3ceab26aa6
--- /dev/null
+++ b/dev-python/libcloud/libcloud-3.1.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Unified Interface to the Cloud - python support libs"
+HOMEPAGE="https://libcloud.apache.org/"
+SRC_URI="mirror://apache/${PN}/apache-${P}.tar.bz2"
+S="${WORKDIR}/apache-${P}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+RDEPEND=">=dev-python/requests-2.5.0[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+BDEPEND+="
+ test? (
+ >=dev-python/cryptography-2.6.1[${PYTHON_USEDEP}]
+ dev-python/lockfile[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/requests-mock[${PYTHON_USEDEP}]
+ )
+"
+
+python_prepare_all() {
+ if use examples; then
+ mkdir examples || die
+ mv example_*.py examples || die
+ fi
+
+ # needed for tests
+ cp libcloud/test/secrets.py-dist libcloud/test/secrets.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/lockfile/lockfile-0.12.2-r2.ebuild b/dev-python/lockfile/lockfile-0.12.2-r2.ebuild
index 89d8d577e6ed..8c5eea3d8e17 100644
--- a/dev-python/lockfile/lockfile-0.12.2-r2.ebuild
+++ b/dev-python/lockfile/lockfile-0.12.2-r2.ebuild
@@ -4,7 +4,6 @@
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
-PYTHON_REQ_USE="threads(+)"
inherit distutils-r1
@@ -15,27 +14,8 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86"
-IUSE="doc test"
-RESTRICT="!test? ( test )"
-DEPEND="
- >dev-python/pbr-1.8[${PYTHON_USEDEP}]
- doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
- test? ( dev-python/nose[${PYTHON_USEDEP}] )"
-RDEPEND=""
+BDEPEND=">dev-python/pbr-1.8[${PYTHON_USEDEP}]"
-DOCS=( ACKS AUTHORS ChangeLog README.rst RELEASE-NOTES )
-
-python_compile_all() {
- use doc && emake -C doc/source html
-}
-
-python_test() {
- # "${PYTHON}" test/test_lockfile.py yeilds no informative coverage output
- nosetests --verbose || die "test_lockfile failed under ${EPYTHON}"
-}
-
-python_install_all() {
- use doc && dodoc -r doc/source/.build/html
- distutils-r1_python_install_all
-}
+distutils_enable_tests nose
+distutils_enable_sphinx doc/source --no-autodoc
diff --git a/dev-python/requests-mock/requests-mock-1.8.0.ebuild b/dev-python/requests-mock/requests-mock-1.8.0.ebuild
index 5567fba18dc3..9edce4f8fbfc 100644
--- a/dev-python/requests-mock/requests-mock-1.8.0.ebuild
+++ b/dev-python/requests-mock/requests-mock-1.8.0.ebuild
@@ -4,6 +4,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index 69139aa4ca87..9bc7e7cfbc7a 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -5,3 +5,4 @@ DIST tox-3.17.0.tar.gz 294481 BLAKE2B a4fe4c94616d003f348b2c4a58276a93887f479a37
DIST tox-3.17.1.tar.gz 294492 BLAKE2B 1a2ed9a26ad366a1ae7343289b45a338a8d2a58c1b6df2aaf716a2e8bbcc1cbc797c70fb51665411cf1bb69243aa8415f7fb7c82d78afb2ffb7117e4ae75edad SHA512 b084d4552609c90d006573dc95d46d0b27cf53c40a54465040e3c625b5d33eb19f95f3fa488439f11029e30ca414ce4e9ed6793a44072023826bc1f4398aaeeb
DIST tox-3.18.0.tar.gz 294769 BLAKE2B 0b5f13fb172bb4b91fdf6442cfa975319b0e1e5e8c873951bffe083d978d2fdfcd0d0832dc0d3b9ab6d61ad9f551d799db40803be4401a85e8063d2063b914ca SHA512 bb1fdb5b0e74d24f50b19b1508afd87cfb39b9f68780cd3da62ea75410b0fd30094bc8c3209ea7cb970b29e61a471ae093e0e919d77082c8700e44a7b344b1d0
DIST tox-3.18.1.tar.gz 295279 BLAKE2B 0dfa9cbf90943fb73df69283850fef98ed9a8c9f16242dd880540e3a89b626c94bd7d5c78708581dd983b68e464f9fb2e1404a2f88f21961ff7c049af1bcac28 SHA512 0c991050dbc86d6f5c600040f1701f7639e735397513df869bb66f9d258ae6ca6c82e989df488bd3f37b6c3c8e6dce42330b885e596a70f63b70e32caab5cd09
+DIST tox-3.19.0.tar.gz 296499 BLAKE2B cad41c7791108ecdf6efc7bca99623c66d1d8ffbb2b06688eb84e575f14958ba2b497e0035ccc331fc8e0ce667824cba2c8dd37488ac48b3c16902c7b546074b SHA512 7a542282dc2fdef7ab8aff04372aeeeaad54b83bd7f1022c1c60465604d67a5984abcea7d409b8593b646192407c78cb88422aa4dfd11fb2a2d9da520aeafb39
diff --git a/dev-python/tox/metadata.xml b/dev-python/tox/metadata.xml
index e8dc3d7fddb5..d4f937f9a79c 100644
--- a/dev-python/tox/metadata.xml
+++ b/dev-python/tox/metadata.xml
@@ -5,6 +5,7 @@
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
+ <stabilize-allarches/>
<upstream>
<remote-id type="pypi">tox</remote-id>
<remote-id type="github">tox-dev/tox</remote-id>
diff --git a/dev-python/tox/tox-3.19.0.ebuild b/dev-python/tox/tox-3.19.0.ebuild
new file mode 100644
index 000000000000..d998f919c884
--- /dev/null
+++ b/dev-python/tox/tox-3.19.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="virtualenv-based automation of test activities"
+HOMEPAGE="https://tox.readthedocs.io https://github.com/tox-dev/tox https://pypi.org/project/tox/"
+SRC_URI="https://github.com/tox-dev/tox/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+# doc disabled because of missing deps in tree
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/filelock[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-1.1[${PYTHON_USEDEP}]
+ ' python3_{5,6,7} pypy3)
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pluggy-0.12[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/py[${PYTHON_USEDEP}]
+ >=dev-python/six-1.14[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-16.0.0[${PYTHON_USEDEP}]"
+# TODO: figure out how to make tests work without the package being
+# installed first.
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ >=dev-python/flaky-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/freezegun-0.3.11[${PYTHON_USEDEP}]
+ dev-python/pathlib2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-4.0.0[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ =dev-python/tox-${PV}-${PR}[${PYTHON_USEDEP}]
+ )"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # broken without internet
+ sed -i -e 's:test_provision_non_canonical_dep:_&:' \
+ tests/unit/session/test_provision.py || die
+ sed -i -e 's:test_provision_interrupt_child:_&:' \
+ tests/integration/test_provision_int.py || die
+ # broken with our mock version (?)
+ sed -i -e 's:test_create_KeyboardInterrupt:_&:' \
+ tests/unit/test_venv.py || die
+ # broken with Gentoo Python layout
+ sed -i -e 's:test_tox_get_python_executable:_&:' \
+ -e 's:test_find_alias_on_path:_&:' \
+ tests/unit/interpreters/test_interpreters.py || die
+
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv --no-network || die "Testsuite failed under ${EPYTHON}"
+}
diff --git a/dev-python/xlsxwriter/Manifest b/dev-python/xlsxwriter/Manifest
index 56a0841857ce..4286a78b4c08 100644
--- a/dev-python/xlsxwriter/Manifest
+++ b/dev-python/xlsxwriter/Manifest
@@ -1,2 +1,3 @@
DIST xlsxwriter-1.2.9-tests.tar.gz 29395878 BLAKE2B 010e3baf191dafe04b4c73986c7997048aeb1002515d24e104a241e7bc80c5e3e4e46b2454e01de72e23418a24ad981b758355dc77dfa1980265d5b119e7c247 SHA512 4680f2eaa96ec8063432f3f0642d27895cd462d3d9b664a452f8e2956bcd16268f41a5780d172cf61cd3951f1f5fbc2dc904ebef1e08e7f45269821a3157c7eb
DIST xlsxwriter-1.3.1-tests.tar.gz 31366131 BLAKE2B 10c39c2a4d7c509ae98cf39feb97ae19bf53fc6be2ed0688d59bc6bd26bd3a8ce53edb43eedc83eba41258074fdc8bcdd54f2514297d045d5b283a7f1aacf922 SHA512 822a00911b783eeb907da3563a0fc939693296418b785087d2b7a43db08118b038ea6261f5b8832a1270813c51d54f2937020ccc150bfb4556bee056ae8af34b
+DIST xlsxwriter-1.3.2-tests.tar.gz 31806889 BLAKE2B df1e37006487d66ed71dd52f64b9334c1b2ae6fbae836bae9121862d0437cdf6d7ac9d14c3cc2f8943f38ff807e76e2de52b6a0fd4be2c0179a01f05e96bf983 SHA512 00f08694d63adb23c11bbbed3546d97861fb6bec22dd36b2e2c31cdfcff656dfab154f8e85d5ba497f1d0a5611828287c35d73296369536ef3a461db505d3932
diff --git a/dev-python/xlsxwriter/xlsxwriter-1.3.2.ebuild b/dev-python/xlsxwriter/xlsxwriter-1.3.2.ebuild
new file mode 100644
index 000000000000..87e2fb0a7da0
--- /dev/null
+++ b/dev-python/xlsxwriter/xlsxwriter-1.3.2.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="XlsxWriter"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Python module for creating Excel XLSX files"
+HOMEPAGE="https://github.com/jmcnamara/XlsxWriter"
+SRC_URI="https://github.com/jmcnamara/XlsxWriter/archive/RELEASE_${PV}.tar.gz -> ${P}-tests.tar.gz"
+S="${WORKDIR}/${MY_PN}-RELEASE_${PV}"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+distutils_enable_tests pytest